!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! SELFISHDETOUR:selfishdetour-info
!     This file is part of Selfish Detour: OS detour(noise) benchmark
! SELFISHDETOUR:selfishdetour-info
!
! SELFISHDETOUR:selfishdetour-fillin
!     $Id: selfish_detour_example_f.F90,v 1.5 2007/01/03 21:16:49 kazutomo Exp $
!     SelfishDetour_Version: 1.0.7
!     SelfishDetour_Heredity: FOSS_ORIG
!     SelfishDetour_License: GPL
! SELFISHDETOUR:selfishdetour-fillin
!
! SELFISHDETOUR:selfishdetour-gpl
!      Copyright: Argonne National Laboratory, Department of Energy,
!                 and University of Chicago.  2004, 2005, 2006, 2007
!      SelfishDetour License: GPL
! 
!      This software is free.  See the file license-files/license.GPL
!      for complete details on your rights to copy, modify, and use this
!      software.
! SELFISHDETOUR:selfishdetour-gpl
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


program tryMe

  include 'mpif.h'

  integer ierr
  integer rank
  integer :: i,j
  double precision :: t1, t2

  i = 0
  j = 0

  call MPI_INIT(ierr)

  call MPI_COMM_RANK( MPI_COMM_WORLD, rank, ierr)

  call selfish_detour_init()

  if( rank == 0 ) then 
     print*,'Start Computing j'
  endif

  t1 = MPI_Wtime()
  do i=0,100000000
     j=i+j
  end do
  t2 = MPI_Wtime()

  if( rank == 0 ) then 
     print*, 'End computing j',j
     print*, t2-t1, ' sec @ rank=0'
  endif

  call selfish_detour_finalize()

  call MPI_FINALIZE(ierr)

end program tryMe
