#!/usr/bin/perl

#***************************************************************************
# SELFISHDETOUR:selfishdetour-info
#      This file is part of Selfish Detour: OS detour(noise) benchmark
# SELFISHDETOUR:selfishdetour-info
#
# SELFISHDETOUR:selfishdetour-fillin
#      $Id: difftime.pl,v 1.3 2007/01/03 21:16:49 kazutomo Exp $
#      SelfishDetour_Version: 1.0.7
#      SelfishDetour_Heredity: FOSS_ORIG
#      SelfishDetour_License: GPL
# SELFISHDETOUR:selfishdetour-fillin
#
# SELFISHDETOUR:selfishdetour-gpl
#       Copyright: Argonne National Laboratory, Department of Energy,
#                  and University of Chicago.  2004, 2005, 2006, 2007
#       SelfishDetour License: GPL
#  
#       This software is free.  See the file license-files/license.GPL
#       for complete details on your rights to copy, modify, and use this
#       software.
# SELFISHDETOUR:selfishdetour-gpl
#***************************************************************************


# this small filter is used to analyze data from itimer_test
# it just output time diff


$_=<>;
/^# INTERVAL_TICKS=([0-9]+)/;

my $interval_ticks=$1;

my $prev=<>;

while(<>) {
   if( /([0-9]+)/ ) {
       my $t;
       $t = $1 - $prev;
       if( $t < 0 ) {
          print "$1 $prev\n";
          exit 1;
       }
       print $t . "\n";
       $prev = $1;
   }
}
