#!/usr/bin/perl

#***************************************************************************
# SELFISHDETOUR:selfishdetour-info
#      This file is part of Selfish Detour: OS detour(noise) benchmark
# SELFISHDETOUR:selfishdetour-info
#
# SELFISHDETOUR:selfishdetour-fillin
#      $Id: gen-testdata.pl,v 1.4 2007/01/03 21:16:49 kazutomo Exp $
#      SelfishDetour_Version: 1.0.7
#      SelfishDetour_Heredity: FOSS_ORIG
#      SelfishDetour_License: GPL
# SELFISHDETOUR:selfishdetour-fillin
#
# SELFISHDETOUR:selfishdetour-gpl
#       Copyright: Argonne National Laboratory, Department of Energy,
#                  and University of Chicago.  2004, 2005, 2006, 2007
#       SelfishDetour License: GPL
#  
#       This software is free.  See the file license-files/license.GPL
#       for complete details on your rights to copy, modify, and use this
#       software.
# SELFISHDETOUR:selfishdetour-gpl
#***************************************************************************

#
#  generate a test data for playback mode
#

my $tick_us = 699;

my $n = 100;

my $interval_us = 10000;   # 10ms
my $detour_us   =  5000;   #  5ms

# 500 ms detour in total during 1 sec 

print "#\n";
print "# N_SEGS=$n\n";
print "#\n";
my $elapsed = 0;

for( my $i=0; $i<$n; $i++) {
    $elapsed = $elapsed + $interval_us * $tick_us;
    print $elapsed . " " . ($detour_us * $tick_us) . "\n";
}
